function fMarcadoresCDF(varargin)
% Leitura de variveis de entrada
vthand = cell2mat(varargin( 1 ));
if (iscell(varargin))
    dNSamples = cell2mat(varargin(end));
else
    dNSamples = varargin(end);
end
% Cores e tipos de marcadores (at grficos por figura)
chvtMarker = ['s';'o';'*';'>';'h';'^']; chvtColor = ['r';'b';'k';'m';'c';'g'];
chColorMarker = [];chColorLine = [];
for iM = 1:length( vthand )
    % preparao de cores, tipos de linhas e marcadores
    chColorMarker = [chColorMarker; [chvtColor(iM,:) chvtMarker(iM,:)] ];
    chColorLine = [chColorLine; [chvtColor(iM,:) '-'] ];
end
for iM = 1:length( vthand )
    % ler valores dos eixos de cada grfico
    chCommandX = [ 'x' num2str(iM) ' = get(vthand(' num2str(iM) '), ' '''xdata''' ');'];
    eval(chCommandX);
    chCommandY = [ 'y' num2str(iM) ' = get(vthand(' num2str(iM) '), ' '''ydata''' ');' ];
    eval(chCommandY);
    % amostra pontos para os marcadores
    chCommandS = [ 'samp' num2str(iM) ' = floor( linspace(1,length(y' num2str(iM) '), dNSamples) );'];
    eval(chCommandS);
end
for iM = 1:length( vthand )
    % configura cores, marcadores e linhas para legenda, mas sem visibilidade
    chCommandP1 = ['set(vthand(' num2str(iM) '),' '''visible''' ', ' '''off''' ',' '''linewidth''' ', 3,' '''Color''' ', chvtColor(' num2str(iM) ') );'];
    eval(chCommandP1);
    chCommandP2 = ['set(vthand(' num2str(iM) '),' '''MarkerSize''' ',12,' '''Marker''' ', chvtMarker(' num2str(iM) '),' '''MarkerEdgeColor''' ', chvtColor(' num2str(iM) '));'];
    eval(chCommandP2);
end
for iM = 1:length( vthand )
    % desenha somente marcadores amostrados
    chCommandM = ['marker' num2str(iM) ' = plot(x' num2str(iM) '(samp' num2str(iM) '),y' num2str(iM) '(samp' num2str(iM) '), ' '''' chColorMarker(iM,:) '''' ');'];
    eval(chCommandM);
end
for iM = 1:length( vthand )
    %chCommandM1 = [ 'set(marker' num2str(iM) ', ' '''linewidth''' ', 3 , ' '''MarkerSize''' ', 12 );'];
    chCommandM1 = [ 'set(marker' num2str(iM) ', ' '''Tag''' ', ' '''marker1''' ', ' '''linewidth''' ', 3 , ' '''MarkerSize''' ', 12 );'];
    eval(chCommandM1);
end
for iM = 1:length( vthand )
    % redesenha somente linhas sem marcadores
    chCommandPf =  [ 'p' num2str(iM) ' = plot(x' num2str(iM) ', y' num2str(iM) ' , ' '''' chColorLine(iM,:) '''' ');'];
    eval(chCommandPf);
end
for iM = 1:length( vthand )  
    chCommandPf1 = ['set(p' num2str(iM) ', ' '''linewidth''' ', 3 );'];
    eval(chCommandPf1);
end

