function [vtPosSector] = fPosUsrErb( sParam, dCentroErb )
% posiciona recursivamente usurios em um setor hexagonal
vtX = rand(1,2*sParam.dUsrPerErb).'-0.5; vtY = rand(1,2*sParam.dUsrPerErb).'-0.5;
vtPosSector = 2*sParam.dR * ( vtX + j*vtY );
vtPosSector = vtPosSector(abs(vtPosSector) < sParam.dR);
vtAng60 = mod(angle(vtPosSector)*180/pi,60)*pi/180;
vtBordaHex = (sParam.dR*sqrt(3))./(sin(vtAng60)+cos(vtAng60)*sqrt(3));
vtPosSector = vtPosSector(abs(vtPosSector) < vtBordaHex) + dCentroErb;
if length(vtPosSector) < sParam.dUsrPerErb,
    vtPosSector = fPosUsrErb( sParam, dCentroErb );
else
    vtPosSector = vtPosSector( 1:sParam.dUsrPerErb );
end